---------------------
PatchSet 3099 
Date: 2005/04/07 20:23:58
Author: tiwai
Branch: HEAD
Tag: (none) 
Log:
Summary: MC97 registers reset

Separated ac97 registers reset for audio and modem (or both) as recommended
in AC97 spec.

Signed-off-by: Sasha Khapyorsky <sashak@smlink.com>

Members: 
	pci/ac97/ac97_codec.c:1.183->1.184 

Index: /sound/pci/ac97/ac97_codec.c
diff -u /sound/pci/ac97/ac97_codec.c.old /sound/pci/ac97/ac97_codec.c
--- /sound/pci/ac97/ac97_codec.c.old	Thu Apr  7 12:22:58 2005
+++ /sound/pci/ac97/ac97_codec.c	Thu Apr  7 12:23:58 2005
@@ -1872,7 +1872,11 @@
 			goto __access_ok;
 	}
 
-	snd_ac97_write(ac97, AC97_RESET, 0);	/* reset to defaults */
+	/* reset to defaults */
+	if (!(ac97->scaps & AC97_SCAP_SKIP_AUDIO))
+		snd_ac97_write(ac97, AC97_RESET, 0);
+	if (!(ac97->scaps & AC97_SCAP_SKIP_MODEM))
+		snd_ac97_write(ac97, AC97_EXTENDED_MID, 0);
 	if (bus->ops->wait)
 		bus->ops->wait(ac97);
 	else {
